import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizsettle/` + url, ...arg)

/**
 * 运费结算Api接口管理器
 *
 * @author xiaofan
 * @date  2025/06/12 09:54
 **/
export default {
	// 获取运费结算分页
	bizSettlePage(data) {
		return request('page', data, 'get')
	},
	// 提交运费结算表单 edit为true时为编辑，默认为新增
	bizSettleSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除运费结算
	bizSettleDelete(data) {
		return request('delete', data)
	},
	// 获取运费结算详情
	bizSettleDetail(data) {
		return request('detail', data, 'get')
	},
	// 编辑获取明细
	detailOrder(data){
		return request('detailOrder',data,'get')
	}
}
